Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 478668 - Review Request: lxmusic - Lightweight XMMS2 client with simple user interface
Review Request: lxmusic - Lightweight XMMS2 client with simple user interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-01-03 01:13 EST by Christoph Wickert
Modified: 2009-06-13 15:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 06:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pablomg+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-01-03 01:13:25 EST
Spec URL: http://cwickert.fedorapeople.org/review/lxmusic.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxmusic-0.2.3-1.fc11.src.rpm
Description: 
LXMusic is a very simple gtk+ XMMS2 client written in pure C. It has very few 
functionality, and can do nothing more than play the music. The UI is very 
clean and simple. This is currently aimed to be used as the default music 
player of LXDE (Lightweight X11 Desktop Environment) project.
Comment 1 Martin-Gomez Pablo 2009-02-22 15:38:11 EST
I take the review of this this little but useful software. The spec seems to be ok, but refering to the INSTALL doc, Gtk2 is missing as a "BuildRequires".
Comment 2 Christoph Wickert 2009-02-22 17:05:58 EST
(In reply to comment #1)
> I take the review of this this little but useful software. 

Thanks a lot!

> The spec seems to be
> ok, but refering to the INSTALL doc, Gtk2 is missing as a "BuildRequires".

Indeed. Usually gtk2-devel is so redundant that it gets pulled in automatically, but in this case it might be better to list is explicitly.
Comment 3 Martin-Gomez Pablo 2009-02-24 18:09:49 EST
I have the following error when i build the package (rpmbuild -ba) :
>checking for GTK... configure: error: Package requirements (gtk+-2.0 >= 2.12.0 >gmodule-export-2.0) were not met:
>
>No package 'gtk+-2.0' found
The "gtk2" is installed. It's a problem with my config or something else (need a makefile patch maybe) ?
Comment 4 Christoph Wickert 2009-02-24 18:34:38 EST
As is sais in comment #2 this needs to be gtk2-devel.
Comment 5 Fedora Update System 2009-02-24 21:38:36 EST
lxsession-edit-0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxsession-edit-0.1-1.fc10
Comment 6 Fedora Update System 2009-02-24 21:39:20 EST
lxsession-edit-0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lxsession-edit-0.1-1.fc9
Comment 7 Christoph Wickert 2009-02-24 21:52:44 EST
Oops, wrong bug number in the update, sorry.
Comment 8 Martin-Gomez Pablo 2009-02-25 16:42:31 EST
My bad, I misread. With gtk2-devel, LXMusic build without problems (well, with some warnings). But is GTK2 needed to run LXMusic (all the information I find was confuse), if so it should be a dependency, isn't it ?
Comment 9 Christoph Wickert 2009-02-25 16:54:50 EST
No need to list gtk2 as a Requires:, rpm will pick up requirements for libraries automatically:

$ rpm -qp --requires lxmusic-0.2.3-1.fc10.i386.rpm | grep gtk
libgtk-x11-2.0.so.0  
$ rpm -q --whatprovides libgtk-x11-2.0.so.0  
gtk2-2.14.7-1.fc10.i386
$

So as you can see the package gets installed automatically (if it isn't already). 
If you have more questions, don't hesitate to ask.
Comment 10 Martin-Gomez Pablo 2009-02-27 17:27:01 EST
Great. But "gtk2-devel" is really needed as a BuildRequires, if not Mock doesn't build (tested with a fedora-rawhide).
Comment 12 Christoph Wickert 2009-03-22 19:41:21 EDT
Ping?
Comment 13 Martin-Gomez Pablo 2009-03-29 16:19:59 EDT
I'm sorry, I've had a problem with Koji (in particularly the certificates). I think I could trust Mock about the success of the building, so I APPROVE this package.
Comment 14 Christoph Wickert 2009-03-29 16:55:13 EDT
Usually a review is more than just cheking if it builds in mock, see
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

I'm not in a hurry, feel free to ether re-review this package or let someone else do it.
Comment 15 Martin-Gomez Pablo 2009-04-06 13:45:00 EDT
My mistake, my review was quite informal (even if I check every MUST in the review list) as I was in a hurry with the translation. I will made a formal and rigourous review as soon as possible.
Comment 16 Christoph Wickert 2009-04-06 16:38:34 EDT
Well, if you checked all the must items it's ok for me. I was under the impression that you only checked for building in mock.

Do what you like. If you have spare time for this review, go for it, otherwise I'll initiate the CVS admin procedure.
Comment 17 Martin-Gomez Pablo 2009-04-11 07:15:57 EDT
Package Review:
==================================
----------------------------------
MUST: rpmlint must be run on every package.
----------------------------------
==> OK (no output)
----------------------------------
MUST: The package must be named according to the Package Naming Guidelines.
----------------------------------
==> OK
----------------------------------
MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec 
----------------------------------
==> OK
----------------------------------
MUST: The package must meet the  Packaging Guidelines.
----------------------------------
==> OK
----------------------------------
MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements.
----------------------------------
==> OK
----------------------------------
MUST: The License field in the package spec file must match the actual license.
----------------------------------
==> NOT OK
The actual license seems to be "GPLv2" and not "GPLv2+"

----------------------------------
MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, 
containing the text of the license(s) for the package must be included in %doc.
----------------------------------
==> OK
----------------------------------
MUST: The spec file must be written in American English.
----------------------------------
==> OK
----------------------------------
MUST: The spec file for the package MUST be legible.
----------------------------------
==> OK
----------------------------------
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
----------------------------------
==> OK
----------------------------------
MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
----------------------------------
==> OK (Tested on F10 and Rawhide i386)
----------------------------------
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
----------------------------------
==> N/A
----------------------------------
MUST: All build dependencies must be listed in BuildRequires.
----------------------------------
==> OK
----------------------------------
MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. 
----------------------------------
==> N/A
----------------------------------
MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package.
----------------------------------
==> N/A
----------------------------------
MUST: A package must own all directories that it creates.
----------------------------------
==> OK
----------------------------------
MUST: A package must not contain any duplicate files in the %files listing.
----------------------------------
==> OK
----------------------------------
MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
----------------------------------
==> OK
----------------------------------
MUST: Header files must be in a -devel package.
----------------------------------
==> N/A
----------------------------------
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
----------------------------------
==> N/A
----------------------------------
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
----------------------------------
==> N/A
----------------------------------
MUST: Permissions on files must be set properly.
----------------------------------
==> OK
----------------------------------
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
----------------------------------
==> OK
----------------------------------
MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines. 
----------------------------------
==> OK
----------------------------------
MUST: The package must contain code, or permissable content. 
----------------------------------
==> OK
----------------------------------
MUST: If a package includes something as %doc, it must not affect the runtime of
the application.
----------------------------------
==> OK
----------------------------------
MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
----------------------------------
==> OK
----------------------------------
MUST: Packages must not own files or directories already owned by other packages. 
----------------------------------
==> OK
----------------------------------
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
----------------------------------
==> OK
----------------------------------
MUST: All filenames in rpm packages must be valid UTF-8.
----------------------------------
==> OK
----------------------------------
SHOULD: The reviewer should test that the package builds in mock.
----------------------------------
==> OK (builds fine on F10 and Rawhide i386)
----------------------------------
SHOULD: If scriptlets are used, those scriptlets must be sane. 
----------------------------------
==> N/A
----------------------------------
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this
is usually for development purposes, so should be placed in a -devel pkg.
----------------------------------
==> N/A
----------------------------------

Summary
==================================
Change the license in the license field
==================================

So you remove a "+" and I confirm my APPROVING
Comment 18 Christoph Wickert 2009-04-11 11:39:38 EDT
Thanks a lot for this review.

(In reply to comment #17)
> MUST: The License field in the package spec file must match the actual license.
> ----------------------------------
> ==> NOT OK
> The actual license seems to be "GPLv2" and not "GPLv2+"

COPYING included in this package is GPLv2 and there is no way to distinguish, it this means "GPLv2 only" or "GPLv2+". In cases like these you need to look at the sourcecode and src/utils.c states:

 *      Copyright 2008 PCMan <pcman.tw@gmail.com>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.

So the actual license really is GPLv2+.
Comment 19 Martin-Gomez Pablo 2009-04-11 12:32:34 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > MUST: The License field in the package spec file must match the actual license.
> > ----------------------------------
> > ==> NOT OK
> > The actual license seems to be "GPLv2" and not "GPLv2+"
> 
> COPYING included in this package is GPLv2 and there is no way to distinguish,
> it this means "GPLv2 only" or "GPLv2+". In cases like these you need to look at
> the sourcecode and src/utils.c states:
> 
>  *      Copyright 2008 PCMan <pcman.tw@gmail.com>
>  *      
>  *      This program is free software; you can redistribute it and/or modify
>  *      it under the terms of the GNU General Public License as published by
>  *      the Free Software Foundation; either version 2 of the License, or
>  *      (at your option) any later version.
> 
> So the actual license really is GPLv2+.  
Thanks for the advice, I didn't think about checking the source code.
So you can begin the CVS procedure.
Comment 20 Christoph Wickert 2009-04-11 12:42:14 EDT
New Package CVS Request
=======================
Package Name: lxmusic
Short Description: Lightweight XMMS2 client with simple user interface
Owners: cwickert
Branches: F-9 F-10
InitialCC:
Comment 21 Kevin Fenzi 2009-04-12 14:21:06 EDT
cvs done.
Comment 22 Fedora Update System 2009-04-13 06:40:50 EDT
lxmusic-0.2.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxmusic-0.2.3-2.fc10
Comment 23 Fedora Update System 2009-04-13 06:42:42 EDT
lxmusic-0.2.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lxmusic-0.2.3-2.fc9
Comment 24 Fedora Update System 2009-04-13 15:32:36 EDT
lxmusic-0.2.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-04-13 15:43:03 EDT
lxmusic-0.2.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.